# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.27

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /snap/cmake/1334/bin/cmake

# The command to remove a file.
RM = /snap/cmake/1334/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /repos/prog/hub/vexeNo3rdlib/src

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /repos/prog/hub/vexeNo3rdlib/bg

# Include any dependencies generated for this target.
include CMakeFiles/vexe.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include CMakeFiles/vexe.dir/compiler_depend.make

# Include the progress variables for this target.
include CMakeFiles/vexe.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/vexe.dir/flags.make

CMakeFiles/vexe.dir/main.cpp.o: CMakeFiles/vexe.dir/flags.make
CMakeFiles/vexe.dir/main.cpp.o: /repos/prog/hub/vexeNo3rdlib/src/main.cpp
CMakeFiles/vexe.dir/main.cpp.o: CMakeFiles/vexe.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/repos/prog/hub/vexeNo3rdlib/bg/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object CMakeFiles/vexe.dir/main.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/vexe.dir/main.cpp.o -MF CMakeFiles/vexe.dir/main.cpp.o.d -o CMakeFiles/vexe.dir/main.cpp.o -c /repos/prog/hub/vexeNo3rdlib/src/main.cpp

CMakeFiles/vexe.dir/main.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/vexe.dir/main.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /repos/prog/hub/vexeNo3rdlib/src/main.cpp > CMakeFiles/vexe.dir/main.cpp.i

CMakeFiles/vexe.dir/main.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/vexe.dir/main.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /repos/prog/hub/vexeNo3rdlib/src/main.cpp -o CMakeFiles/vexe.dir/main.cpp.s

# Object files for target vexe
vexe_OBJECTS = \
"CMakeFiles/vexe.dir/main.cpp.o"

# External object files for target vexe
vexe_EXTERNAL_OBJECTS =

vexe: CMakeFiles/vexe.dir/main.cpp.o
vexe: CMakeFiles/vexe.dir/build.make
vexe: /usr/local/lib/libboost_thread.so.1.79.0
vexe: /usr/local/lib/libfmt.a
vexe: /usr/local/lib/libSDL2_image-2.0.so.0.600.3
vexe: /usr/local/lib/libassimp.so.5.2.4
vexe: /usr/lib/x86_64-linux-gnu/libGLEW.so
vexe: /repos/VimbaX_2023-1/api/lib/libVmbCPP.so
vexe: /repos/VimbaX_2023-1/api/lib/libVmbC.so
vexe: /usr/local/lib/libSDL2-2.0.so.0.2800.1
vexe: /usr/local/lib/libzlibstatic.a
vexe: /usr/lib/x86_64-linux-gnu/librt.a
vexe: CMakeFiles/vexe.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/repos/prog/hub/vexeNo3rdlib/bg/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Linking CXX executable vexe"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/vexe.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/vexe.dir/build: vexe
.PHONY : CMakeFiles/vexe.dir/build

CMakeFiles/vexe.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/vexe.dir/cmake_clean.cmake
.PHONY : CMakeFiles/vexe.dir/clean

CMakeFiles/vexe.dir/depend:
	cd /repos/prog/hub/vexeNo3rdlib/bg && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /repos/prog/hub/vexeNo3rdlib/src /repos/prog/hub/vexeNo3rdlib/src /repos/prog/hub/vexeNo3rdlib/bg /repos/prog/hub/vexeNo3rdlib/bg /repos/prog/hub/vexeNo3rdlib/bg/CMakeFiles/vexe.dir/DependInfo.cmake "--color=$(COLOR)"
.PHONY : CMakeFiles/vexe.dir/depend

